* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    user-select: none;
}

body {
    background-color: #000;
    color: #f8edd9;
    font-family: "Sixtyfour Convergence", sans-serif;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    font-size: 1.3em;
}

.canvas {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

#clock {
    text-align: center;
    font-size: 3.5em;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#time {
    margin-bottom: 10px;
}

hr {
    width: 80%;
    border: 1px solid #f8edd9;
    margin-bottom: 10px;
}

.date {
    font-size: 0.4em;
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: center;
}

#divider {
    font-family: 'Courier New', Courier, monospace;
    font-weight: bolder;
    margin: 0 5px;
}

/* Responsive */
@media (max-width: 786px) {
    .navbar {
        font-size: 1.5em;
    }

    #clock {
        font-size: 2.8em;
    }

    .date {
        font-size: 0.45em;
    }
}

@media (max-width: 600px) {
    .navbar {
        font-size: 1.2em;
    }

    #clock {
        font-size: 2.5em;
    }

    .date {
        font-size: 0.4em;
    }
}
